package com.hzya.frame.grpU8.nxproof.pubkjqj.dao.impl;


import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.grpU8.nxproof.pubkjqj.dao.ISenderPubkjqjDao;
import com.hzya.frame.grpU8.nxproof.pubkjqj.entity.SenderPubkjqjEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * (Pubkjqj)表数据库访问层
 *
 * @author makejava
 * @since 2024-06-20 09:49:34
 */
@Repository(value = "SenderPubkjqjDaoImpl")
public class SenderPubkjqjDaoImpl extends MybatisGenericDao<SenderPubkjqjEntity, String> implements ISenderPubkjqjDao {


    @Override
    @DS("#senderPubkjqjEntity.dataSourceCode")
    public List<SenderPubkjqjEntity> querySenderPubkjqjEntity(SenderPubkjqjEntity senderPubkjqjEntity) {
        return super.queryByLike(senderPubkjqjEntity);
    }
    @Override
    @DS("#senderPubkjqjEntity.dataSourceCode")
    public SenderPubkjqjEntity saveSenderPubkjqjEntity(SenderPubkjqjEntity senderPubkjqjEntity) {
        return super.save(senderPubkjqjEntity);
    }
    @Override
    @DS("#senderPubkjqjEntity.dataSourceCode")
    public SenderPubkjqjEntity updateSenderPubkjqjEntity(SenderPubkjqjEntity senderPubkjqjEntity) {
        return super.update(senderPubkjqjEntity);
    }

    @Override
    @DS("#senderPubkjqjEntity.dataSourceCode")
    public List<SenderPubkjqjEntity> queryPubkjqjHealthBureau(SenderPubkjqjEntity senderPubkjqjEntity) {
        return super.query(senderPubkjqjEntity);
    }

    @Override
    @DS("#senderPubkjqjEntity.dataSourceCode")
    public SenderPubkjqjEntity savePubkjqjHealthBureau(SenderPubkjqjEntity senderPubkjqjEntity) {
        return super.save(senderPubkjqjEntity);
    }

    @Override
    @DS("#senderPubkjqjEntity.dataSourceCode")
    public SenderPubkjqjEntity updatePubkjqjHealthBureau(SenderPubkjqjEntity senderPubkjqjEntity) {
        return super.update(senderPubkjqjEntity);
    }

    @Override
    @DS("#senderPubkjqjEntity.dataSourceCode")
    public Integer deletePubkjqjHealthBureau(SenderPubkjqjEntity senderPubkjqjEntity) {
        return super.delete("SenderPubkjqjEntity_delete_kjqj",senderPubkjqjEntity);
    }
}

